Skip to content

Call Forwarding

All operations require authentication.

8 operationsv1/telephony/{billingAccount}
Agent setup

List DDI numbersProduction

GET
/1.0/telephony/{billingAccount}/ddi

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ddi \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a DDI numberProduction

GET
/1.0/telephony/{billingAccount}/ddi/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Ddisuccessful operation
description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ddi/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}

Update a DDI numberProduction

PUT
/1.0/telephony/{billingAccount}/ddi/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ddi/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the DDI destinationProduction

POST
/1.0/telephony/{billingAccount}/ddi/{serviceName}/changeDestination

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

destination
required
phoneNumber

The destination

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/ddi/{serviceName}/changeDestination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List redirect numbersProduction

GET
/1.0/telephony/{billingAccount}/redirect

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/redirect \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a redirect numberProduction

GET
/1.0/telephony/{billingAccount}/redirect/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Redirectsuccessful operation
description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/redirect/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}

Update a redirect numberProduction

PUT
/1.0/telephony/{billingAccount}/redirect/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/redirect/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the redirect destinationProduction

POST
/1.0/telephony/{billingAccount}/redirect/{serviceName}/changeDestination

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

destination
required
phoneNumber

The destination

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/redirect/{serviceName}/changeDestination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}